### Virtual Method

# Ide BufferAddin change_settled

#### Declaration

    void
    change_settled (
      IdeBufferAddin* self,
      IdeBuffer* buffer
    )

#### Description

This function is called when the buffer has settled after a number of changes provided by the user. It is a convenient way to know when you should perform more background work without having to coalesce work yourself.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An #ideBuffer.
| The data is owned by the caller of the function.